Appearance
List Models
GET /v1/models
Returns all available models in OpenAI format. No authentication required.
Request
bash
curl https://hyper.charm.land/v1/modelsResponse
json
{
"object": "list",
"data": [
{
"id": "deepseek-v4-pro",
"object": "model",
"created": 1784045313,
"owned_by": "hyper",
"display_name": "DeepSeek-V4-Pro",
"context_window": 1000000,
"max_output_tokens": 384000,
"capabilities": {
"vision": false
},
"reasoning": {
"effort_levels": [
{
"value": "high",
"display": "High"
},
{
"value": "xhigh",
"display": "X-High"
}
],
"default_effort_level": "high"
},
"pricing": {
"input": 2.4,
"output": 4.8,
"cache_create": 0,
"cache_hit": 0.2
}
}
]
}| Field | Description |
|---|---|
id | Model ID to use in API requests |
display_name | Human-readable name |
context_window | Max input tokens |
max_output_tokens | Max output tokens |
capabilities.vision | Whether the model supports vision (image attachments) |
reasoning.effort_levels | List of available effort levels (e.g. ["low", "medium", "high"]) |
reasoning.default_effort_level | Default effort level (e.g. medium") |
pricing | Per-million-token pricing |
Errors
This endpoint does not require authentication and rarely returns errors. When it does, they use the standard OpenAI error format:
json
{
"error": {
"message": "...",
"type": "server_error",
"code": null
}
}